Create one asset transaction detail
post
/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/lines/{linesUniqID}/child/assetTransactionDetails
Request
Path Parameters
-
OrderKey(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
linesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Order Lines resource and used to uniquely identify an instance of Order Lines. The client should not generate the hash key value. Instead, the client should query on the Order Lines collection resource in order to navigate to a specific instance of Order Lines to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
AssetId: integer
(int64)
Value that uniquely identifies the asset.
-
AssetNumber: string
Maximum Length:
80Number that identifies the asset. -
AssetTransactionAction: string
Maximum Length:
80Name of the transaction that installed base does on the asset. -
AssetTransactionActionCode: string
Maximum Length:
30Abbreviation that identifies the transaction that installed base does on the asset. -
AssetTransactionDetailId: integer
(int64)
Value that uniquely identifies the asset transaction detail for an order line.
-
AssetUOM: string
Maximum Length:
25Unit of measure for the asset quantity. -
AssetUOMCode: string
Maximum Length:
3Abbreviation that identifies the unit of measure for the asset quantity. -
CustomerAssetEndDate: string
(date-time)
Date and time when the customer asset ends in installed base.
-
FulfillLineId: integer
(int64)
Value that uniquely identifies the order line that contains the asset transaction details.
-
Quantity: number
Quantity of the asset transacted by installed base assets.
-
SourceAssetTransactionDetailId: string
Maximum Length:
50Value that uniquely identifies the asset transaction detail for an order line. The source application assigns this value. -
Status: string
Maximum Length:
120Status of the asset after installed base does the transaction on the asset. -
StatusCode: string
Maximum Length:
30Abbreviation that identifies the status of the asset after installed base does the transaction on the asset. -
StatusId: integer
(int64)
Value that uniquely identifies the status of the asset after installed base does the transaction on the asset.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : salesOrdersForOrderHub-lines-assetTransactionDetails-item-response
Type:
Show Source
object-
AssetId: integer
(int64)
Value that uniquely identifies the asset.
-
AssetNumber: string
Maximum Length:
80Number that identifies the asset. -
AssetTransactionAction: string
Maximum Length:
80Name of the transaction that installed base does on the asset. -
AssetTransactionActionCode: string
Maximum Length:
30Abbreviation that identifies the transaction that installed base does on the asset. -
AssetTransactionDetailId: integer
(int64)
Value that uniquely identifies the asset transaction detail for an order line.
-
AssetUOM: string
Maximum Length:
25Unit of measure for the asset quantity. -
AssetUOMCode: string
Maximum Length:
3Abbreviation that identifies the unit of measure for the asset quantity. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the asset transaction detail. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the asset transaction detail. -
CustomerAssetEndDate: string
(date-time)
Date and time when the customer asset ends in installed base.
-
FulfillLineId: integer
(int64)
Value that uniquely identifies the order line that contains the asset transaction details.
-
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the asset transaction detail. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the asset transaction detail. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Login that user used when updating the asset transaction detail. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Quantity: number
Quantity of the asset transacted by installed base assets.
-
SourceAssetTransactionDetailId: string
Maximum Length:
50Value that uniquely identifies the asset transaction detail for an order line. The source application assigns this value. -
Status: string
Maximum Length:
120Status of the asset after installed base does the transaction on the asset. -
StatusCode: string
Maximum Length:
30Abbreviation that identifies the status of the asset after installed base does the transaction on the asset. -
StatusId: integer
(int64)
Value that uniquely identifies the status of the asset after installed base does the transaction on the asset.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.